net.sourceforge.pmd.processor

## Class PmdRunnable

- java.lang.Object
- - net.sourceforge.pmd.PMD
  - - net.sourceforge.pmd.processor.PmdRunnable

- All Implemented Interfaces:
    Callable<Report>

      public class PmdRunnable
      extends PMD
      implements Callable<Report>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sourceforge.pmd.PMD

      `PMD.ProgressMonitor`

  - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.PMD

      `configuration, EOL, SUPPRESS_MARKER, VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PmdRunnable(ExecutorService executor, PMDConfiguration configuration, DataSource dataSource, String fileName, List<Renderer> renderers)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Report` | `call()`
    `static Thread` | `createThread(int id, Runnable r, RuleSetFactory ruleSetFactory, RuleContext ctx)`

    - ### Methods inherited from class net.sourceforge.pmd.PMD

      `doPMD, getApplicableFiles, getConfiguration, getSourceCodeProcessor, main, newRuleContext, parserFor, processFiles, processFiles, run, setupReport`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PmdRunnable

          public PmdRunnable(ExecutorService executor,
                     PMDConfiguration configuration,
                     DataSource dataSource,
                     String fileName,
                     List<Renderer> renderers)

  - ### Method Detail

    - #### call

          public Report call()

      Specified by:
        `call` in interface `Callable<Report>`

    - #### createThread

          public static Thread createThread(int id,
                            Runnable r,
                            RuleSetFactory ruleSetFactory,
                            RuleContext ctx)

Copyright © 2002-2013 InfoEther. All Rights Reserved.